/**
 * ActClassObservationSeries.java
 *
 * File generated from the medication::ActClassObservationSeries uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassObservationSeries.
 *
 * 
 */

@XmlType(name = "ActClassObservationSeries")
@XmlEnum
@XmlRootElement(name = "ActClassObservationSeries")
public enum ActClassObservationSeries {
	@XmlEnumValue("OBSSER")
	OBSSER("OBSSER"),
	@XmlEnumValue("OBSCOR")
	OBSCOR("OBSCOR");
	
	private final String value;

    ActClassObservationSeries(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActClassObservationSeries fromValue(String v) {
        for (ActClassObservationSeries c: ActClassObservationSeries.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}